about summary refs log tree commit diff
path: root/tests/nix-copy-ssh.sh
diff options
context:
space:
mode:
authorEelco Dolstra <edolstra@gmail.com>2018-08-03T18·41+0200
committerEelco Dolstra <edolstra@gmail.com>2018-08-03T19·20+0200
commit34c17fdae535d0128d178dde676f56f1bc8439e3 (patch)
tree820df2e1fd18cba6260ac65069df6a552055a968 /tests/nix-copy-ssh.sh
parenteeebe4cdc509aaaefb70d4af55e5174a75c0281f (diff)
Add a test for LegacySSHStore that doesn't require a VM
Diffstat (limited to 'tests/nix-copy-ssh.sh')
-rw-r--r--tests/nix-copy-ssh.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/nix-copy-ssh.sh b/tests/nix-copy-ssh.sh
new file mode 100644
index 000000000000..6aba667a45a6
--- /dev/null
+++ b/tests/nix-copy-ssh.sh
@@ -0,0 +1,20 @@
+source common.sh
+
+clearStore
+clearCache
+
+remoteRoot=$TEST_ROOT/store2
+chmod -R u+w "$remoteRoot" || true
+rm -rf "$remoteRoot"
+
+outPath=$(nix-build dependencies.nix)
+
+nix copy --to "ssh://localhost?store=$NIX_STORE_DIR&remote-store=$remoteRoot%3fstore=$NIX_STORE_DIR%26real=$remoteRoot$NIX_STORE_DIR" $outPath
+
+[ -f $remoteRoot$outPath/foobar ]
+
+clearStore
+
+nix copy --no-check-sigs --from "ssh://localhost?store=$NIX_STORE_DIR&remote-store=$remoteRoot%3fstore=$NIX_STORE_DIR%26real=$remoteRoot$NIX_STORE_DIR" $outPath
+
+[ -f $outPath/foobar ]